---
name: "notepad"
description: >-
  Commands for the Windows Notepad application.
  <b>NOTE</b>: If you are using Windows 11,
  there is a new version of Notepad
  that has some bugs that interfere with voice dictation,
  so you may want to choose a different editor.
alternates:
  - "note pad"
  - "no pad"
initiallyActive: false
exclusive: false
commands:

  # File menu
  
  - name: "new file"
    description: >-
      Opens a new tab.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "n"
  - name: "open file"
    description: >-
      Open a file.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "o"
  - name: "close file"
    description: >-
      Close the current file.
    alternates:
      - "clothes file"
      - "closed file"
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "w"
  - name: "save file"
    description: >-
      Save the current file.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "s"
  - name: "copy"
    description: >-
      Types control-c to copy content to clipboard.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "c"
  - name: "cut"
    description: >-
      Types control-x to cut content to the clipboard.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "x"
  - name: "paste"
    description: >-
      Types control-v to paste content.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "v"
